org.gradle.api.tasks

## Interface ConventionValue

- Deprecated.
  Use `Closure` or `Callable` instead.

      @Deprecated
      public interface ConventionValue

  A ConventionValue can be assigned to a `IConventionAware` task. If a property of such an object is not set internally, a ConventionValue is used to calculate the value for the property.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getValue(Convention convention, org.gradle.api.internal.IConventionAware conventionAwareObject)` Deprecated. Returns some object.

- - ### Method Detail

    - #### getValue

          Object getValue(Convention convention,
                        org.gradle.api.internal.IConventionAware conventionAwareObject)

      Deprecated.
      Returns some object.
      Parameters:
        `convention` - The convention object belonging to the task's project
        `conventionAwareObject` - The convention aware object